<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Features of the XML Editor
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="XML-Editor_7439318.html">XML Editor</a></span>
              </li>
              <li>
                <span><a href="XML-Editor-Perspective_7439322.html">XML Editor Perspective</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Features of the XML Editor</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified by <span class="editor">Thorsten Vitt</span> on Sep 24, 2015
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="noindent">
              The XML Editor in general offers certain features to make working with XML documents easier.
            </p>
            <p class="noindent">
              <strong>Show Validation Errors</strong>
            </p>
            <p class="noindent">
              Clicking “Show Validation Errors” <img class="confluence-embedded-image" src="attachments/7439324/8192214.png" data-image-src="attachments/7439324/8192214.png" title="062-zeige-Validierungsfehler.png"/> under the item “XML” in the menu bar opens a new view in which error messages are listed with information about invalid XML and offset.
            </p>
            <p class="noindent">
              <strong>Associate a Schema</strong>
            </p>
            <p class="noindent">
              If an XML document is open, you can associate a schema to it. After clicking “Associate a Schema” <img class="confluence-embedded-image" src="attachments/7439324/8192215.png" data-image-src="attachments/7439324/8192215.png" title="063-verbinde-Schema.png"/> under the item “XML” in the menu bar, the “Select a new schema” dialog will open.
            </p>
            <p class="noindent">
               
            </p>
            <p class="noindent">
              <img class="confluence-embedded-image" src="attachments/7439324/7766119.png" data-image-src="attachments/7439324/7766119.png"/>
            </p>
            <div class="figure">
              <p>
                 
              </p>
              <div class="noprint">
                <div class="caption">
                  <div class="table-wrap">
                    <div class="table-wrap">
                      <table class="confluenceTable">
                        <tbody>
                          <tr>
                            <th class="confluenceTh">
                              Associate a Schema
                            </th>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <p class="noindent">
                If the document is already associated to a schema, there will be a display of summary information above the list of schemas. You can choose one of the schemata listed with information about the schema name, the corresponding Project, its contributor and its creation date. Click a schema to select it and “OK” to associate it to the XML document.
              </p>
            </div>
            <p class="noindent">
              If no schema is associated, the button “no explicit schema association” on the left below the list will be marked. The association of a schema with a document will only be made persistent when the document or its metadata is saved.
            </p>
            <p class="subsubsectionHead">
              <strong>Associate a Cascading Style Stylesheet (CSS)</strong>
            </p>
            <p class="noindent">
              A Cascading Style Sheet (CSS) can be added to an XML document when it is opened and the option to “Associate a CSS Stylesheet” is selected from the item “XML” in the menu bar. The CSS will be used for displaying the XML document in the <a href="WYSIWYM-View_7439340.html">WYSIWYM View</a>. You can select a CSS from the list by clicking on it. By default, <a href="https://wiki.de.dariah.eu/a%20TEI%20stylesheet%20built%20into%20the%20editor" rel="nofollow">a TEI stylesheet built into the editor</a> will be used. To reactivate this option, click the button below the list of CSS models.
            </p>
            <p class="subsubsectionHead">
              <strong>Associate an Adaptor</strong>
            </p>
            <p class="noindent">
              An adaptor can be associated to translate the selected document to the TextGrid Baseline Encoding. To open it, please select “Associate an Adaptor...” <img class="confluence-embedded-image" src="attachments/7439324/8192217.png" data-image-src="attachments/7439324/8192217.png" title="064-verbinde-Adaptor2.png"/> under the item “XML” in the menu bar when a document is opened or choose this item in the Navigator’s context menu of the preselected Object. A new dialog box will open.
            </p>
            <p class="noindent">
              In the upper list of the dialog, the selected Object(s) will be displayed with information about "Title", "Project", "Contributor" and "Creation Date". You can tick the box under this list to make the assignment persistent when clicking “OK”.
            </p>
            <p class="noindent">
              In the lower list you can select the adaptor by clicking on it. Here you will also find additional information about the adaptors. To reverse your selection, you can mark the button “Associate with no adaptor” under this list.
            </p>
            <p class="subsubsectionHead">
              <strong>XML Editor Debugging</strong>
            </p>
            <p class="stmary-10x-x-109">
              The debugging function finds and reduces the number of problems. The XML Editor Debugging works with the <a href="WYSIWYM-View_7439340.html">WYSIWYM View</a>. Using the “XML Editor Debugging” under “XML” in the menu bar, you can reload the WYSIWYM View. By selecting “Debug XML Document”, you can save the WYSIWYM Debug Output. You can also open the WYSIWYM Debugging View by clicking “Layout Debugging”.
            </p>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
